Bug 1575829 - [RFE] Support iscsi-gws upgrade through rolling update
Summary: [RFE] Support iscsi-gws upgrade through rolling update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 3.1
Assignee: Sébastien Han
QA Contact: Manohar Murthy
John Brier
URL:
Whiteboard:
Depends On:
Blocks: 1584264
TreeView+ depends on / blocked
 
Reported: 2018-05-08 04:24 UTC by Manohar Murthy
Modified: 2018-09-26 18:21 UTC (History)
13 users (show)

Fixed In Version: RHEL: ceph-ansible-3.1.0-0.1.rc17.el7cp Ubuntu: ceph-ansible_3.1.0~rc17-2redhat1
Doc Type: Enhancement
Doc Text:
.Support for iSCSI gateway upgrades through rolling updates Previously, when using a Ceph iSCSI gateway node, `iscsi-gws` could not be updated by `ceph-ansible` during a rolling upgrade. With this update to {product}, `ceph-ansible` now supports upgrading `iscsi-gws` using the `rolling_update.yml` Ansible playbook.
Clone Of:
Environment:
Last Closed: 2018-09-26 18:20:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 2577 0 None None None 2018-05-10 22:59:34 UTC
Red Hat Product Errata RHBA-2018:2819 0 None None None 2018-09-26 18:21:33 UTC

Comment 7 Sébastien Han 2018-08-06 12:48:47 UTC
Thomas, we are testing the backport upstream, thanks for the reminder.

Comment 8 Harish NV Rao 2018-08-09 14:26:27 UTC
(In reply to leseb from comment #7)
> Thomas, we are testing the backport upstream, thanks for the reminder.

When can we expect the build with this fix in 3.1?

Comment 16 errata-xmlrpc 2018-09-26 18:20:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2819


Note You need to log in before you can comment on or make changes to this bug.